using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using NUnit.Framework;

using SharpGLTF.Memory;
using SharpGLTF.Schema2;

namespace SharpGLTF.ThirdParty
{
    internal class xPawTests
    {
        [Test]
        public void ParseUriTests()
        {
            var uri = new Uri("data:image/png;base64,[encoded data, 5780 characters]");

            uri = new Uri("alpha\\beta", UriKind.RelativeOrAbsolute);
        }

        [Test]
        public void ReproduceSaveGltfBug()
        {
            var model = ModelRoot.CreateModel();
            var image = model.CreateImage("satellite image with space.png");
            image.Content = new MemoryImage([137, 80, 78, 71, 0, 0, 0, 0, 0, 0, 0, 0]);
            image.AlternateWriteFileName = "satellite image with space.png";

            using (var m = new System.IO.MemoryStream())
            {
                model.WriteGLB(m);
            }            
        }
    }
}
